Subject: bug#32677: Installation of guile-debbugs fails

From: Michael Albinus <[email-masked]>
Date: Tue, 11 Sep 2018 09:40:39 +0200

Ricardo Wurmus <[email-masked]> writes:

> Hi Michael,

Hi Ricardo,

>>> ./configure has failed. I think you are missing guile-2.2. Could you try
>>> again with guile installed?
>>
>> --8<---------------cut here---------------start------------->8---
>> [albinus@BRONB4NHFYN1 ~]$ which guile
>> /usr/bin/guile
>> [albinus@BRONB4NHFYN1 ~]$ guile --version
>> guile (GNU Guile) 2.0.14
>> --8<---------------cut here---------------end--------------->8---

Meanwhile, I've changed to another machine running Ubuntu 18.04. It has
installed guile 2.2:

--8<---------------cut here---------------start------------->8---
detlef:~/src/guile-debbugs> which guile
/usr/bin/guile
detlef:~/src/guile-debbugs> /usr/bin/guile --version
guile (GNU Guile) 2.2.3
--8<---------------cut here---------------end--------------->8---

>> Furthermore, a syntax error seems to tell something different. If it is
>> really true that guile 2.2 is missing, I would expect a respective error
>> message.
>
> Do you have pkg-config installed?  GUILE_PKG is a macro that depends on
> macros provided by pkg-config.

Yes, it is:

--8<---------------cut here---------------start------------->8---
detlef:~/src/guile-debbugs> which pkg-config
/usr/bin/pkg-config
detlef:~/src/guile-debbugs> /usr/bin/pkg-config --version
0.29.1
--8<---------------cut here---------------end--------------->8---

And still the same error:

--8<---------------cut here---------------start------------->8---
detlef:~/src/guile-debbugs> ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
./configure: line 2364: syntax error near unexpected token `2.2'
./configure: line 2364: `GUILE_PKG(2.2)'
--8<---------------cut here---------------end--------------->8---

> Ricardo

Best regards, Michael.